curl --request GET \
--url https://api.withterminal.com/tsp/v1/hos/daily-logs \
--header 'Authorization: Bearer <token>' \
--header 'Connection-Token: <connection-token>'import requests
url = "https://api.withterminal.com/tsp/v1/hos/daily-logs"
headers = {
"Connection-Token": "<connection-token>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Connection-Token': '<connection-token>', Authorization: 'Bearer <token>'}
};
fetch('https://api.withterminal.com/tsp/v1/hos/daily-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "hos_day_01D8ZQFGHVJ858NBF2Q7DV9MNC",
"sourceId": "123456789",
"provider": "geotab",
"driver": "drv_01D8ZQFGHVJ858NBF2Q7DV9MNC",
"date": "2021-01-06",
"statusDurations": {
"onDuty": 11252299,
"offDuty": 48478999,
"driving": 26668701,
"waiting": 232322,
"sleeperBed": 2300000,
"personalConveyance": 500000,
"yardMove": 62000
},
"metadata": {
"addedAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
},
"vehicles": [
"vcl_01D8ZQFGHVJ858NBF2Q7DV9MNC"
],
"distances": {
"total": 100.25,
"driving": 100.25,
"personalConveyance": 100.25,
"yardMove": 100.25
},
"raw": []
}
],
"next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"
}{
"code": "bad_request",
"message": "Invalid request body",
"detail": [
{
"message": "'vehicleId' property must be a valid ulid",
"path": "{requestQuery}.vehicleId",
"suggestion": "Please ensure you submit a valid 'vehicleId' property",
"context": {}
}
]
}{
"code": "unauthorized",
"message": "Unauthorized Request",
"detail": "Please ensure you have a valid API key"
}{
"code": "forbidden",
"message": "Forbidden Request",
"detail": "Please ensure the connection token matches the resource you are attempting to access."
}{
"code": "too_many_requests",
"message": "Too Many Requests",
"retryAfter": 60,
"detail": "You have exceeded your rate limit. Please try again later."
}{
"code": "internal_server_error",
"message": "Internal Server Error",
"detail": "Something went wrong"
}{
"code": "gateway_timeout",
"message": "Gateway Timeout"
}List HOS Daily Logs
List daily summary of hours of service. Each daily log represents the time a driver spent in each duty status for a given day.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Scopes the request to a Terminal application in the caller's organization. Required for multi-application organizations when using a user session or OAuth access token. API keys are already bound to a single application.
The token returned when a user authenticated their account. This authorizes access to a specific account.
^con_tkn_\S+$"con_tkn_22vUhkC6tgre4kwaYfUkCDA1rzn6eyb4"
Query Parameters
Pagination cursor to start requests from
^[A-Za-z0-9+/=_-]+$"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"
The maximum number of results to return in a page.
Include records from on or after a specific date. Defaults to beginning of history
"2021-01-06"
Include records from on or before a specific date. Defaults to now
"2021-01-06"
Only include records that were last modified after a provided date.
"2021-01-06T03:24:53.000Z"
Only include records that were last modified before a provided date.
"2021-01-06T03:24:53.000Z"
Comma separated list of driver IDs to filter for. Can filter up to 50 drivers at a time. Each ID must use the drv_ prefix.
^drv_[0-9A-HJKMNP-TV-Z]{26}(\s*,\s*drv_[0-9A-HJKMNP-TV-Z]{26})*$Include raw responses used to normalize model. Used for debugging or accessing unique properties that are not unified.
Expand resources in the returned response
driver, vehicles, driver,vehicles, vehicles,driver